package com.ruoyi.app.service;

import java.util.List;
import com.ruoyi.app.domain.Monitor;

/**
 * 监控设备Service接口
 * 
 * @author coede
 * @date 2025-03-19
 */
public interface IMonitorService 
{
    /**
     * 查询监控设备
     * 
     * @param id 监控设备主键
     * @return 监控设备
     */
    public Monitor selectMonitorById(Long id);

    /**
     * 查询监控设备列表
     * 
     * @param monitor 监控设备
     * @return 监控设备集合
     */
    public List<Monitor> selectMonitorList(Monitor monitor);

    /**
     * 校验待设备名称是否唯一
     *
     * @param monitor 设备
     * @return 结果
     */
    public boolean checkMonitorNameUnique(Monitor monitor);

    /**
     * 新增监控设备
     * 
     * @param monitor 监控设备
     * @return 结果
     */
    public int insertMonitor(Monitor monitor);

    /**
     * 同步监控设备
     *
     * @return 结果
     */
    public int syncMonitor(List<Monitor> monitorList);

    /**
     * 修改监控设备
     * 
     * @param monitor 监控设备
     * @return 结果
     */
    public int updateMonitor(Monitor monitor);

    /**
     * 批量删除监控设备
     * 
     * @param ids 需要删除的监控设备主键集合
     * @return 结果
     */
    public int deleteMonitorByIds(Long[] ids);

    /**
     * 删除监控设备信息
     * 
     * @param id 监控设备主键
     * @return 结果
     */
    public int deleteMonitorById(Long id);
}
